summaryrefslogtreecommitdiff
path: root/scripts/.scripts/dmenukaomoji
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/.scripts/dmenukaomoji')
-rwxr-xr-xscripts/.scripts/dmenukaomoji24
1 files changed, 24 insertions, 0 deletions
diff --git a/scripts/.scripts/dmenukaomoji b/scripts/.scripts/dmenukaomoji
new file mode 100755
index 0000000..8af99b3
--- /dev/null
+++ b/scripts/.scripts/dmenukaomoji
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+chosen=$(dmenu -i -l 20 < ~/.local/share/kaomoji | sed "s/\t.*//")
+
+[ "$chosen" != "" ] || exit
+
+# If you run this command with an argument, it will automatically insert the character.
+echo "$chosen" | xclip -selection clipboard
+if [ -n "$1" ]; then
+ SUB="Minecraft"
+ WINDOW=$(xdotool getactivewindow getwindowname)
+ if [[ "$WINDOW" =~ .*"$SUB".* ]]; then
+ xdotool key "ctrl+v"
+ else
+ xdotool key Shift+Insert
+ fi
+# xdotool type --delay 1 $chosen
+
+# VAR=$(xclip -o)
+
+# xdotool type $chosen
+else
+ notify-send "'$chosen' copied to clipboard." &
+fi